%define pkgver %(echo %{version}|sed 's,[.],,g')
%define bookver 211

Name:           stockfish
Version:        2.3.1
Release:        %mkrel 2
Summary:        A chess engine
License:        GPLv3
Group:          Games/Boards
URL:            http://www.stockfishchess.com
# download from http://www.stockfishchess.com/download/
Source0:        %{name}-%{pkgver}-linux.zip
Source1:        sf-%{bookver}-book.zip
Patch0:         %{name}-2.2.2-mga-adjust-opening-book.patch

BuildRequires:  dos2unix
ExclusiveArch:  %{ix86} x86_64

%description
Stockfish is a free UCI chess engine derived from Glaurung 2.1. It is not a
complete chess program, but requires some UCI compatible GUI (like XBoard
with PolyGlot, eboard, Arena, Sigma Chess, Shredder, Chess Partner or Fritz)
in order to be used comfortably. Read the documentation for your GUI of choice
for information about how to use Stockfish with your GUI.


%prep
%setup -q -n %{name}-%{pkgver}-linux -a 1
%patch0 -p0

# remove trash
rm -fr ../__MACOSX

# fix new-lines
dos2unix polyglot.ini
dos2unix Readme.txt

%build
pushd src
%ifarch x86_64
make build ARCH=x86-64
%else
make build ARCH=x86-32
%endif
popd

%install
# the binary
install -D -m0755 src/%{name} %{buildroot}%{_gamesbindir}/%{name}

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}

# logos
install -m0644 logo.bmp %{buildroot}%{_gamesdatadir}/%{name}
install -m0644 Logos/%{name}*gif %{buildroot}%{_gamesdatadir}/%{name}

# polyglot file
install -m0644 polyglot.ini %{buildroot}%{_gamesdatadir}/%{name}

# the opening book
install -m0644 polyglot.ini sf-%{bookver}-book/Book.bin %{buildroot}%{_gamesdatadir}/%{name}

%files
%doc Readme.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.3.1-2.mga3
+ Revision: 383486
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 2.3.1-1.mga3
+ Revision: 324781
- new version 2.3.1
- rediff djust-opening-book.patch

* Wed Jul 25 2012 kamil <kamil> 2.2.2-1.mga3
+ Revision: 274391
- imported package stockfish

